org.wildfly.swarm.jca

## Class JCAFraction

- java.lang.Object
- - org.wildfly.swarm.config.JCA<JCAFraction>
  - - org.wildfly.swarm.jca.JCAFraction

- All Implemented Interfaces:
    Fraction<JCAFraction>

      public class JCAFraction
      extends JCA<JCAFraction>
      implements Fraction<JCAFraction>

  Author:
    Bob McWhirter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JCA

      `JCA.JCAResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCAFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCAFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static JCAFraction` | `createDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.JCA

      `addPropertyChangeListener, archiveValidation, archiveValidation, archiveValidation, archiveValidation, beanValidation, beanValidation, beanValidation, beanValidation, bootstrapContext, bootstrapContext, bootstrapContext, bootstrapContext, bootstrapContexts, cachedConnectionManager, cachedConnectionManager, cachedConnectionManager, cachedConnectionManager, distributedWorkmanager, distributedWorkmanager, distributedWorkmanager, distributedWorkmanager, distributedWorkmanagers, getKey, removePropertyChangeListener, subresources, tracer, tracer, tracer, tracer, workmanager, workmanager, workmanager, workmanager, workmanagers`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### JCAFraction

          public JCAFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static JCAFraction createDefaultFraction()

    - #### applyDefaults

          public JCAFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<JCAFraction>`
      Returns:
        this fraction.

Copyright © 2018 JBoss by Red Hat. All rights reserved.